Pokaż wyniki 1 do 5 z 5

Temat: apache+php = blad :(

  1. #1
    Zarejestrowany
    Sep 2007
    Postów
    9

    Domyślnie apache+php = blad :(

    Witam


    Zainstalowalem apacha z php na windowsie. Wpisuje w przegladarce :
    http://localhost/p.php

    gdzie p.php ma kod:
    <?
    phpinfo();
    ?>
    i dziala. Pokazuje sie info. Ale pochwili wyskakuje blad typowy dla windowsa: "aplikacja zostala zamknieta, przepraszamy...." i to:
    .

    Instalowalem z instrukcjihttp://www.gajdaw.pl/php/instalacja-apache-php-mysql-windows-xp/p2.html#P2-3

    Problem CHYBA pojawil sie po dodoaniu linii:
    LoadModule php5_module "c:/php/php5apache2.dll"
    AddType application/x-httpd-php .php
    PHPIniDir "C:/windows"

    prosze o pomoc

  2. #2
    Zarejestrowany
    Jun 2006
    Skąd
    rand(.eu)
    Postów
    8,748

    Domyślnie

    Krasnal Serv (www.krasnal.tk), XAMPP (www.portableapps.com)...
    XAMPP ma ta przewage ze nie trzeba instalowac - wypakowac i uzywac.
    Ja sam czesto uzywalem krasnala jak nie mialem Linux'a pod reka a musialem cos szybko napisac - jakies CGI albo cos w PHP.

    UPDATE: BUG SQUASHED!
    Forum zle robi automatyczne linkowanie - zalapalo znak zamkniecia nawiasu jako element URLa.
    ctrl-alt-del.cc - soft reset site for IT admins and other staff :-)

  3. #3
    Zarejestrowany
    May 2007
    Skąd
    Kraków
    Postów
    371

    Domyślnie

    ja polecam Abyss Web Server.
    1. darmowy
    2. PHP bez problemu
    3. dosyc maly w porownaniu do krasnala
    4. chodzi ladnie, nie wywala sie..
    5. panel kontorlny www
    6. dla niektorych przydatne(dla mnie nie zbye nie bylo): jezyk polski

  4. #4
    Avatar eMCe
    eMCe jest offline Emil Grzegorz Gubała
    Zarejestrowany
    Dec 2006
    Skąd
    Kielce
    Postów
    1,767

    Domyślnie

    a ja Webserv'a!! tez bardzo dobry - dużo narzędzi dodatkowych - wysuwane komunikaty które bardzo lubię - sql manager i inne bajerki - jak coś potrzeba na szybko to go instaluję - ale niemniej jednak - wole sobie sam zainstalować apache mysql php itp. - bo jak by potem komuś przyszło zainstalowac to będzie miał problemik - zależy też co komu potrzebne - ja jestem admino-webmasterem dlatego wole sobie sam postawić wiedzieć jak jest skonfigurowane co jest dograne (biblioteki) itp.....

    dlatego myślę że problem warty jest rozwiązania....

    moja propozycja - usuń aktualną instalkę - ściągnij jeszcze raz z php.net - nie z jakiegoś innego źródła najnowszą wersję - i zainstaluj ponownie - możliwe że coś sie po prostu źle wypakowało lub jakieś inne cuda....
    Agencja reklamy kielce (mały kilkudniowy case pozycjonerski )

  5. #5
    maciek jest offline IT
    Zarejestrowany
    Jul 2006
    Skąd
    Łódź
    Postów
    249

    Domyślnie

    Cytat Napisał *DK* Zobacz post
    Witam


    Zainstalowalem apacha z php na windowsie. Wpisuje w przegladarce :
    http://localhost/p.php

    gdzie p.php ma kod:

    i dziala. Pokazuje sie info. Ale pochwili wyskakuje blad typowy dla windowsa: "aplikacja zostala zamknieta, przepraszamy...."

    prosze o pomoc
    jaka wersja apacha? 1.3? 2.0? 2.2? i jakie php?
    Pozdrawiam

Podobne wątki

  1. Blad przy instalacji nmap
    By Zaq_08 in forum Linux
    Odpowiedzi: 2
    Autor: 07-01-2007, 21:15
  2. blad
    By kalipawel in forum Linux
    Odpowiedzi: 4
    Autor: 04-29-2007, 20:18
  3. blad
    By kalipawel in forum C/C++
    Odpowiedzi: 3
    Autor: 04-09-2007, 11:08
  4. logi apache
    By markossx in forum Linux
    Odpowiedzi: 11
    Autor: 03-29-2007, 21:23
  5. [Apache] Konfiguracja .htaccess
    By Dominik in forum Domeny/Serwery
    Odpowiedzi: 4
    Autor: 12-25-2006, 18:07

Zasady Postowania

  • Nie możesz zakładać nowych tematów
  • Nie możesz pisać wiadomości
  • Nie możesz dodawać załączników
  • Nie możesz edytować swoich postów
  •  
Subskrybuj

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52